<!DOCTYPE html>
<html lang="es">
  {% include head.html %}

  <body class="container-fluid bg-dark" id="blog">
    {% include navbar.html %} {% include hero-blog.html %}

    <section class="blog-body" id="blog-body">
      <div class="last-post">
        {% if site.posts.size > 0 %} 
        {% for post in site.posts limit:1 %} {% if post.project == null %}
        <div class="card">
          <div class="card-img">
            <a href="{{ site.url }}{{ post.url }}">
              <img
                src="/assets/images/post/{{post.image}}"
                alt="{{ post.alt }}"
              />
            </a>
          </div>
          <div class="card-content">
            {% for cat in post.categories%}
            <span>{{cat | capitalize | join:', '}}</span>
            {% endfor %}
            <a class="zoombtn" href="{{ site.url }}{{ post.url }}">
              <h2>{{ post.title }}</h2>
            </a>
            <p>{{ post.extract | slice: 0, 350}}</p>
            <p class="date-string">{{ post.date | date_to_string}}</p>
          </div>
        </div>   
        {% endif %} {% endfor %} {% else %}
        <h3>¡Has llegado antes! Pronto publicaré contenido 👾</h3>

        {% endif %}
      </div>

      <hr />

      <div class="list-post">
        {% for post in site.posts offset:1 %} {% if post.project == null %}
        <div class="card">
          <div class="card-img">
            <a href="{{ site.url }}{{ post.url }}">
              <img
                src="/assets/images/post/{{post.image}}"
                alt="{{ post.alt }}"
              />
            </a>
          </div>
          <div class="card-content">
            {% for cat in post.categories%}
            <span>{{cat | capitalize | join:', '}}</span>
            {% endfor %}
            <a class="zoombtn" href="{{ site.url }}{{ post.url }}">
              <h2>{{ post.title }}</h2>
            </a>
            <p>{{ post.extract | slice: 0, 350}}</p>
            <p class="date-string">{{ post.date | date_to_string}}</p>
          </div>
        </div>
        {% endif %} {% endfor %}
      </div>
    </section>

    {% include footer.html %}
  </body>
  {% include scripts.html %}
</html>
